Downgrade BL??

Discussion in 'Jailbreaks and iOS Hacks' started by cvzyl, Mar 2, 2008.

  1. cvzyl macrumors newbie

    Joined:
    Jun 2, 2007
    Location:
    Langebaan, South Africa
    #1
    What is the effect of downgrading the BL? I see in the notes of iClarified that they state that the latest version of ZiPhone that it downgrades your BL to 3.9. What is the significance of this? What is the difference (I assume 4.6 must have some improvements over 3.9) between the two?

    Will it be possible to upgrade the BL again at a later stage?
     
  2. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #2
    3.9 Bootloader allows you to downgrade your Baseband. 4.5 does not; however, once you go down to 3.9 you can never go back up to 4.6.

    In 4.6 you can replace the main firmware and even bootloader with another one that allows to to run unsigned code.

    It's basically your choice.

    A good plus side to 3.9 is that is allows the IPSF style unlock by Geohot.
     
  3. munroe macrumors regular

    Joined:
    Nov 14, 2007
    Location:
    Ireland
    #3
    Anybody know why this is the case?
     
  4. zetsurin macrumors regular

    Joined:
    Nov 30, 2007
    Location:
    Tokyo, Japan
    #4
    The reason is because the exploit found in 4.6 which allows this to happen doesn't exist in 3.9. Hence it's a one way street...

    ...however some of the guys in the hackint0sh forums have released a patched 3.9 which leaves this hole open, providing you with the means to go back to 4.6 or another custom bootloader if you desite in the future. Go there and take a look.
     
  5. carfac macrumors 65816

    carfac

    Joined:
    Feb 18, 2006
  6. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #6
    See above post
     
  7. NeoMayhem macrumors 6502a

    Joined:
    Aug 22, 2003
    #7
    I would wait on downgrading. There is a patched 3.9 bootloader floating around that can be upgraded again with software. It is only a matter of time before this makes it into ziphone.
     
  8. munroe macrumors regular

    Joined:
    Nov 14, 2007
    Location:
    Ireland
    #8
    Zetsurin,

    Thanks for that. Finally it all makes sense.
     
  9. georgeoommen macrumors regular

    Joined:
    Apr 12, 2007
    #9
    what bootloader am i?

    how can i find out what version of the bootloader my iphone is currently running? I have a 1.1.2 OOTB UK iphone bought on UK release day, running on an O2 iphone tariff. I have upgraded it through itunes to 1.1.4 and then used ziphone to jailbreak it.
     
  10. Ol!ver macrumors 6502a

    Joined:
    Mar 2, 2005
    #10
    Bearing in mind that everything Apple does in the future must work with 3.9, I don't see why being on it is a problem.
     
  11. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #11
    If you have any OOB or OTB (Out of Box) 1.1.2 it comes already with Bootloader 4.6
     

Share This Page